<?xml version="1.0" encoding="UTF-8"?>
<odoo>
<record id="view_sos_calibration_devices_tree" model="ir.ui.view">
    <field name="name">sos_calibration_devices.tree</field>
    <field name="model">sos_calibration_devices</field>
    <field name="arch" type="xml">
        <tree string="Calibration Devices List">
            <field name="name"/>
            <field name="s_no"/>
            <field name="identification_no"/>
            <field name="certification_no"/>
            <field name="calibrated_on"/>
            <field name="calibrated_due"/>
            <field name="write_uid" string="Last Edited By" optional="hide"/>
                <field name="write_date" string="Last Edited On" optional="hide"/>
        </tree>
    </field>
</record>
<record id="view_sos_calibration_devices_form" model="ir.ui.view">
    <field name="name">sos_calibration_devices.form</field>
    <field name="model">sos_calibration_devices</field>
    <field name="arch" type="xml">
        <form string="Calibration Device">
            <sheet>
                <group>
                    <field name="name"/>
                    <field name="s_no"/>
                    <field name="identification_no"/>
                    <field name="certification_no"/>
                </group>
                <group>
                    <field name="calibrated_on"/>
                    <field name="calibrated_due"/>
                </group>
            </sheet>
        </form>
    </field>
</record>
<record id="action_sos_calibration_devices" model="ir.actions.act_window">
    <field name="name">Calibration Devices</field>
    <field name="res_model">sos_calibration_devices</field>
    <field name="view_mode">tree,form</field>
    <field name="view_id" ref="view_sos_calibration_devices_tree"/>
</record>

<menuitem id="menu_sos_calibration_devices" name="Calibration Devices Configurations"
          parent="settings_root_menu" action="action_sos_calibration_devices" groups="sos_inventory.sos_qc_user,sos_inventory.sos_qa_user,sos_inventory.sos_management_user"/>
</odoo>